org.apache.lucene.document

## Enum FieldType.NumericType

- java.lang.Object
- - java.lang.Enum<FieldType.NumericType>
  - - org.apache.lucene.document.FieldType.NumericType

All Implemented Interfaces:
  Serializable, Comparable<FieldType.NumericType>

Enclosing class:
  FieldType

    public static enum FieldType.NumericType
    extends Enum<FieldType.NumericType>

Data type of the numeric value

Since:
  3.2

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOUBLE` 64-bit double numeric type
`FLOAT` 32-bit float numeric type
`INT` 32-bit integer numeric type
`LONG` 64-bit long numeric type

### Method Summary

Methods
`static FieldType.NumericType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldType.NumericType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INT

    public static final FieldType.NumericType INT

32-bit integer numeric type

#### LONG

    public static final FieldType.NumericType LONG

64-bit long numeric type

#### FLOAT

    public static final FieldType.NumericType FLOAT

32-bit float numeric type

#### DOUBLE

    public static final FieldType.NumericType DOUBLE

64-bit double numeric type

### Method Detail

#### values

    public static FieldType.NumericType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FieldType.NumericType c : FieldType.NumericType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FieldType.NumericType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null